DRM_MM_REMOVE_NODE(9)

NAME
drm_mm_remove_node - Remove a memory node from the allocator.

SYNOPSIS

void drm_mm_remove_node(struct drm_mm_node * node);

ARGUMENTS

node
    drm_mm_node to remove

DESCRIPTION

This just removes a node from its drm_mm allocator. The node does not need to be cleared again before it can be re-inserted into this or any other drm_mm allocator. It is a bug to call this function on a un-allocated node.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT